Skip to main content
GET
Get a shipment

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Shipment Id

Query Parameters

include
string

Comma delimited list of relations to include

filter[current_status]
enum<string>[]

Filter containers by current status. Send one or more values from the enum list. For multiple statuses, use a comma-separated query value, for example: filter[current_status]=picked_up,available.

Available options:
new,
on_ship,
available,
not_available,
grounded,
on_rail,
picked_up,
off_dock,
delivered,
dropped,
loaded,
empty_returned,
awaiting_inland_transfer
Example:

Response

OK

data
Shipment model · object
included
(Container model · object | Port model · object | Terminal model · object)[]

Represents the equipment during a specific journey.